Snappy


Error Scenario: java.lang.UnsatisfiedLinkError: org.apache.hadoop.util.NativeCodeLoader.buildSupportsSnappy()Z We will receive this error message if we try to read snappy files without having snappy compression/decompression codec installed properly.  [crayon-58828a9c3707d620510848/] Or [crayon-58828a9c37088038575711/] Resolution: We should install snappy compression/decompression codec to resolve this error message and its corresponding .so files should be available (copied from /usr/local/bin) […]

UnsatisfiedLinkError


4
In This post, we will discuss about basic details about google’s snappy compression technique. Snappy Compression Introduction: Snappy is one of the fast compression/decompression tools. It formerly known as Zippy. Snappy is written in C++, and is widely used inside Google, in everything from BigTable and MapReduce to our internal RPC […]

Snappy Compression Tool